This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 445021 - Review Request: python-routes - A RoR-like routes library for python
Review Request: python-routes - A RoR-like routes library for python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 445024 445028
  Show dependency treegraph
 
Reported: 2008-05-02 15:13 EDT by Kyle VanderBeek
Modified: 2008-06-12 22:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 17:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kyle VanderBeek 2008-05-02 15:13:43 EDT
Spec URL: http://www.kylev.com/pylons-rpm/python-routes.spec
SRPM URL: http://www.kylev.com/pylons-rpm/python-routes-1.8-1.fc8.src.rpm
Description: This is a flexible routes implementation for python that eases the task of configuring the direction of URLs to actions in web applications.  It is a prerequisite of Pylons.
Comment 1 Felix Schwarz 2008-05-10 17:21:04 EDT
rpmlint says:
$ rpmlint python-decorator-2.2.0-1.fc8.src.rpm 
python-decorator.src: W: summary-ended-with-dot Simplified decorators for Python.
Comment 2 Kyle VanderBeek 2008-05-11 20:10:06 EDT
Fixed rpmlint problems and added docs.

Spec URL: http://www.kylev.com/pylons-rpm/python-routes.spec
SRPM URL: http://www.kylev.com/pylons-rpm/python-routes-1.8-2.fc8.src.rpm
Comment 3 Brian Pepple 2008-05-26 18:34:35 EDT
MD5Sum:
56b2425abe4c585fa5043122d1e75eca  Routes-1.8.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Package installs and uninstalls cleanly

Bad:
* rpmlint produces the following errors that should be looked at before
importing this package into CVS: 

python-routes.noarch: W: hidden-file-or-dir
/usr/share/doc/python-routes-1.8/docs/pudge_template/._layout.html
python-routes.noarch: W: hidden-file-or-dir
/usr/share/doc/python-routes-1.8/docs/._index.txt

+1 APPROVED
Comment 4 Kyle VanderBeek 2008-05-27 20:36:59 EDT
New Package CVS Request
=======================
Package Name: python-routes
Short Description: RoR-like routes for python, used in Pylons
Owners: kylev
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-30 15:42:49 EDT
cvs done.
Comment 6 Fedora Update System 2008-05-31 17:41:10 EDT
python-routes-1.8-2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-05-31 17:41:43 EDT
python-routes-1.8-2.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-06-12 22:19:06 EDT
python-routes-1.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-12 22:21:22 EDT
python-routes-1.8-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.